Bug 111576 - [bisected] Performance regression in X4:Foundations in 19.2
Summary: [bisected] Performance regression in X4:Foundations in 19.2
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Vulkan/radeon (show other bugs)
Version: 19.2
Hardware: x86-64 (AMD64) Linux (All)
: not set not set
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-06 13:59 UTC by Malte zu Klampen
Modified: 2019-09-09 18:16 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Malte zu Klampen 2019-09-06 13:59:43 UTC
Somewhere between mesa-19.1.6 and mesa-19.2.0-rc2 a severe performance regression in X4:Foundations snuck in.

The main menu (and gameplay) renders at <1 fps after 74470baebbdacc8fd31c9912eb8c00c0cd102903, ac/nir: Lower large indirect variables to scratch

I tried adjusting graphics settings to perhaps isolate one specific option, but it didn't seem to matter.

I then checked out mesa-19.2-rc2 and reverted the commit, after which the game rendered normally at 60fps.

GPU:    AMD RX480
LLVM:   8.0.1
Kernel: 5.2.7

I'll be happy to help diagnose further but I'm at my wits' end.
Comment 1 Bas Nieuwenhuizen 2019-09-08 19:29:23 UTC
Should be fixed by

https://gitlab.freedesktop.org/mesa/mesa/merge_requests/1892

Is already fixed differently in master.
Comment 2 Malte zu Klampen 2019-09-09 18:16:37 UTC
I see that merge request was just merged, so I did a quick look into staging/19.2 and can confirm it works fine now.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.